FileProvider (Axis API)
Keywords: org.apache.axis.configuration.FileProvider class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.configuration
Class FileProvider

    java.lang.Object
      org.apache.axis.configuration.FileProvider

All Implemented Interfaces:
  EngineConfiguration, WSDDEngineConfiguration

Direct Known Subclasses:
  XMLStringProvider

public class FileProvider
extends java.lang.Object
implements WSDDEngineConfiguration

A simple ConfigurationProvider that uses the Admin class to read + write XML files.

Author:
  Glen Daniels (gdaniels@apache.org), Glyn Normington (glyn@apache.org)

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from interface org.apache.axis.EngineConfiguration
`PROPERTY_NAME`

Constructor Summary
`FileProvider(java.io.InputStream is)` Constructor which takes an input stream directly.
`FileProvider(java.lang.String filename)` Constructor which accesses a file in the current directory of the engine or at an absolute path.
`FileProvider(java.lang.String basepath, java.lang.String filename)` Constructor which accesses a file relative to a specific base path.

Method Summary
`void` | `configureEngine(AxisEngine engine)` Configure this AxisEngine using whatever data source we have.
`java.util.Iterator` | `getDeployedServices()` Get an enumeration of the services deployed to this engine
`WSDDDeployment` | `getDeployment()` Get the WSDDDeployment for this engine configuration.
`java.util.Hashtable` | `getGlobalOptions()` Returns the global configuration options.
`Handler` | `getGlobalRequest()` Returns a global request handler.
`Handler` | `getGlobalResponse()` Returns a global response handler.
`Handler` | `getHandler(QName qname)` retrieve an instance of the named handler
`java.util.List` | `getRoles()` Get a list of roles that this engine plays globally.
`SOAPService` | `getService(QName qname)` retrieve an instance of the named service
`SOAPService` | `getServiceByNamespaceURI(java.lang.String namespace)` Get a service which has been mapped to a particular namespace
`Handler` | `getTransport(QName qname)` retrieve an instance of the named transport
`TypeMappingRegistry` | `getTypeMappingRegistry()` Retrieve the TypeMappingRegistry for this engine.
`void` | `setDeployment(WSDDDeployment deployment)`
`void` | `setInputStream(java.io.InputStream is)`
`void` | `setSearchClasspath(boolean searchClasspath)` Determine whether or not we will look for a "*-config.wsdd" file on the classpath if we don't find it in the specified location.
`void` | `writeEngineConfig(AxisEngine engine)` Save the engine configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### FileProvider

    public FileProvider(java.lang.String filename)

  Constructor which accesses a file in the current directory of the engine or at an absolute path.

### FileProvider

    public FileProvider(java.lang.String basepath,
                        java.lang.String filename)
                 throws ConfigurationException

  Constructor which accesses a file relative to a specific base path.

### FileProvider

    public FileProvider(java.io.InputStream is)

  Constructor which takes an input stream directly. Note: The configuration will be read-only in this case!

Method Detail

### setInputStream

    public void setInputStream(java.io.InputStream is)

### getDeployment

    public WSDDDeployment getDeployment()

  Description copied from interface: `WSDDEngineConfiguration`
  Get the WSDDDeployment for this engine configuration.

  Specified by:
    `getDeployment` in interface `WSDDEngineConfiguration`
  Returns:
    the WSDDDeployment

### setDeployment

    public void setDeployment(WSDDDeployment deployment)

### setSearchClasspath

    public void setSearchClasspath(boolean searchClasspath)

  Determine whether or not we will look for a "*-config.wsdd" file on the classpath if we don't find it in the specified location.

  Parameters:
    `searchClasspath` - true if we should search the classpath

### configureEngine

    public void configureEngine(AxisEngine engine)
                         throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  Configure this AxisEngine using whatever data source we have.

  Specified by:
    `configureEngine` in interface `EngineConfiguration`
  Parameters:
    `engine` - the AxisEngine we'll deploy state to
  Throws:
    `ConfigurationException` - if there was a problem

### writeEngineConfig

    public void writeEngineConfig(AxisEngine engine)
                           throws ConfigurationException

  Save the engine configuration. In case there's a problem, we write it to a string before saving it out to the actual file so we don't screw up the file.

  Specified by:
    `writeEngineConfig` in interface `EngineConfiguration`
  Parameters:
    `engine` - the AxisEngine from which to read state.
  Throws:
    `ConfigurationException` - if there was a problem

### getHandler

    public Handler getHandler(QName qname)
                       throws ConfigurationException

  retrieve an instance of the named handler

  Specified by:
    `getHandler` in interface `EngineConfiguration`
  Parameters:
    `qname` - XXX
  Returns:
    XXX
  Throws:
    `ConfigurationException` - XXX

### getService

    public SOAPService getService(QName qname)
                           throws ConfigurationException

  retrieve an instance of the named service

  Specified by:
    `getService` in interface `EngineConfiguration`
  Parameters:
    `qname` - XXX
  Returns:
    XXX
  Throws:
    `ConfigurationException` - XXX

### getServiceByNamespaceURI

    public SOAPService getServiceByNamespaceURI(java.lang.String namespace)
                                         throws ConfigurationException

  Get a service which has been mapped to a particular namespace

  Specified by:
    `getServiceByNamespaceURI` in interface `EngineConfiguration`
  Parameters:
    `namespace` - a namespace URI
  Returns:
    an instance of the appropriate Service, or null
  Throws:
    `ConfigurationException` - if there was an error resolving the namespace

### getTransport

    public Handler getTransport(QName qname)
                         throws ConfigurationException

  retrieve an instance of the named transport

  Specified by:
    `getTransport` in interface `EngineConfiguration`
  Parameters:
    `qname` - XXX
  Returns:
    XXX
  Throws:
    `ConfigurationException` - XXX

### getTypeMappingRegistry

    public TypeMappingRegistry getTypeMappingRegistry()
                                               throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  Retrieve the TypeMappingRegistry for this engine.

  Specified by:
    `getTypeMappingRegistry` in interface `EngineConfiguration`
  Returns:
    the type mapping registry
  Throws:
    `ConfigurationException` - if there was an error resolving the registry

### getGlobalRequest

    public Handler getGlobalRequest()
                             throws ConfigurationException

  Returns a global request handler.

  Specified by:
    `getGlobalRequest` in interface `EngineConfiguration`
  Returns:
    the `Handler` that globally handles requests
  Throws:
    `ConfigurationException` - if there was some error fetching the handler

### getGlobalResponse

    public Handler getGlobalResponse()
                              throws ConfigurationException

  Returns a global response handler.

  Specified by:
    `getGlobalResponse` in interface `EngineConfiguration`
  Returns:
    the `Handler` that globally handles responses
  Throws:
    `ConfigurationException` - if there was some error fetching the handler

### getGlobalOptions

    public java.util.Hashtable getGlobalOptions()
                                         throws ConfigurationException

  Returns the global configuration options.

  Specified by:
    `getGlobalOptions` in interface `EngineConfiguration`
  Returns:
    the global options as a `Hashtable`
  Throws:
    `ConfigurationException` - if the global options could not be returned

### getDeployedServices

    public java.util.Iterator getDeployedServices()
                                           throws ConfigurationException

  Get an enumeration of the services deployed to this engine

  Specified by:
    `getDeployedServices` in interface `EngineConfiguration`
  Returns:
    an `Iterator` over the `ServiceDesc` objects
  Throws:
    `ConfigurationException` - if the deployed services could not be returned
  See Also:
    `ServiceDesc`

### getRoles

    public java.util.List getRoles()

  Get a list of roles that this engine plays globally. Services within the engine configuration may also add additional roles.

  Specified by:
    `getRoles` in interface `EngineConfiguration`
  Returns:
    a `List` of the roles for this engine

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.